//
//    
//    toDo's
//
//      color handling
//
//
//

#import "GraphController.h"
#import "GraphView.h"

@implementation GraphController

- (void)awakeFromNib
{
//
//  Menu labels
//
    NSArray *titles = [NSArray arrayWithObjects:@"Multi",@"Red", @"Green", @"Blue", @"Black", nil];
    [popup removeAllItems];
    int count = [titles count];
    for (int i = 0; i < count; i++){
        [popup addItemWithTitle:[titles objectAtIndex:i]];
	}

//
// commandline arguments
//	
	NSString* dataFilePath;
    NSArray* args = [[NSProcessInfo processInfo] arguments];

	if([args count] > 1){
	    dataFilePath = [args objectAtIndex:1];
		[textField02 setStringValue:dataFilePath];  
		int n = 0;
    	if([args count] > 2){
			n = [[args objectAtIndex:2] intValue];
		}
	    [graphView readDataFile:dataFilePath with:n];				
	}		
}


- (IBAction) openDataFile : (id) sender
{   
	NSArray *fileTypes = [NSArray arrayWithObjects:@"dat",@"txt",nil];
	NSOpenPanel *oPanel = [NSOpenPanel openPanel];	
	[oPanel setAllowsMultipleSelection:NO];
	if([oPanel runModalForDirectory:NSHomeDirectory() file:nil types:fileTypes] != NSOKButton) return;
    
	NSString* dataFilePath = [[oPanel filenames] objectAtIndex:0];
	[textField02 setStringValue:dataFilePath];   
	[graphView readDataFile:dataFilePath with:0];	
	[graphView setNeedsDisplay:YES];
}


- (IBAction)outputPDF: (id) sender
{    
    
    NSSavePanel *sPanel = [NSSavePanel savePanel];	
    [sPanel setRequiredFileType:@"pdf"];
    if([sPanel runModalForDirectory:NSHomeDirectory() file:nil] != NSOKButton) return;            
    [graphView outputPDFFile:YES withFile:[sPanel filename]];
	[graphView setNeedsDisplay:YES];
}

- (IBAction)select:(id)sender
{
	int j = [popup indexOfSelectedItem];
//	[textField02 setIntValue:j];
    [graphView setColorNumber:j];
    [graphView setNeedsDisplay:YES];
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)application
{
    return YES;
}

@end
